# BEGIN SourceDeps(oneline):
BuildRequires: perl(DBI.pm) perl(ExtUtils/MakeMaker.pm) perl(Test.pm)
# END SourceDeps(oneline)
%define module_version 0.13
%define module_name Oracle-Sqlldr
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.13
Release: alt1
Summary: Perl wrapper around Oracle's sqlldr utility.
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/M/MC/MCGREGOR/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
Oracle::Sqlldr is an object-oriented class that provides a convenient
Perl wrapper around Oracle's sqlldr utility.

SQL*Loader (*sqlldr*) is the utility to use for high performance 
data loading from a text file into a an Oracle database.


%prep
%setup -n Oracle
# depth is > 1 .. moving up
pushd "Sqlldr"
  mv -f * ../
  mv -f .* ../ ||:
popd

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/O*

%changelog
* Thu Apr 17 2014 Igor Vlasenko <viy@altlinux.ru> 0.13-alt1
- initial import by package builder

